Show / Hide Table of Contents

Class CfnPipe.PipeEnrichmentParametersProperty

The parameters required to set up enrichment on your pipe.

Inheritance
object
CfnPipe.PipeEnrichmentParametersProperty
Implements
CfnPipe.IPipeEnrichmentParametersProperty
Inherited Members
object.GetType()
object.MemberwiseClone()
object.ToString()
object.Equals(object)
object.Equals(object, object)
object.ReferenceEquals(object, object)
object.GetHashCode()
Namespace: Amazon.CDK.AWS.Pipes
Assembly: Amazon.CDK.Lib.dll
Syntax (csharp)
public class CfnPipe.PipeEnrichmentParametersProperty : CfnPipe.IPipeEnrichmentParametersProperty
Syntax (vb)
Public Class CfnPipe.PipeEnrichmentParametersProperty Implements CfnPipe.IPipeEnrichmentParametersProperty
Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-pipes-pipe-pipeenrichmentparameters.html

ExampleMetadata: infused

Examples
Queue sourceQueue;
             Queue targetQueue;


             var targetInputTransformation = InputTransformation.FromEventPath("$.body.payload");

             var pipe = new Pipe(this, "Pipe", new PipeProps {
                 Source = new SqsSource(sourceQueue),
                 Target = new SqsTarget(targetQueue, new SqsTargetParameters {
                     InputTransformation = targetInputTransformation
                 })
             });

Synopsis

Constructors

PipeEnrichmentParametersProperty()

The parameters required to set up enrichment on your pipe.

Properties

HttpParameters

Contains the HTTP parameters to use when the target is a API Gateway REST endpoint or EventBridge ApiDestination.

InputTemplate

Valid JSON text passed to the enrichment.

Constructors

PipeEnrichmentParametersProperty()

The parameters required to set up enrichment on your pipe.

public PipeEnrichmentParametersProperty()
Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-pipes-pipe-pipeenrichmentparameters.html

ExampleMetadata: infused

Examples
Queue sourceQueue;
             Queue targetQueue;


             var targetInputTransformation = InputTransformation.FromEventPath("$.body.payload");

             var pipe = new Pipe(this, "Pipe", new PipeProps {
                 Source = new SqsSource(sourceQueue),
                 Target = new SqsTarget(targetQueue, new SqsTargetParameters {
                     InputTransformation = targetInputTransformation
                 })
             });

Properties

HttpParameters

Contains the HTTP parameters to use when the target is a API Gateway REST endpoint or EventBridge ApiDestination.

public object? HttpParameters { get; set; }
Property Value

object

Remarks

If you specify an API Gateway REST API or EventBridge ApiDestination as a target, you can use this parameter to specify headers, path parameters, and query string keys/values as part of your target invoking request. If you're using ApiDestinations, the corresponding Connection can also have these values configured. In case of any conflicting keys, values from the Connection take precedence.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-pipes-pipe-pipeenrichmentparameters.html#cfn-pipes-pipe-pipeenrichmentparameters-httpparameters

Type union: either IResolvable or CfnPipe.IPipeEnrichmentHttpParametersProperty

InputTemplate

Valid JSON text passed to the enrichment.

public string? InputTemplate { get; set; }
Property Value

string

Remarks

In this case, nothing from the event itself is passed to the enrichment. For more information, see The JavaScript Object Notation (JSON) Data Interchange Format .

To remove an input template, specify an empty string.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-pipes-pipe-pipeenrichmentparameters.html#cfn-pipes-pipe-pipeenrichmentparameters-inputtemplate

Implements

CfnPipe.IPipeEnrichmentParametersProperty
Back to top Generated by DocFX